ASN1SequenceParserTest (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.test

## Class ASN1SequenceParserTest

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - org.bouncycastle.asn1.test.ASN1SequenceParserTest

- All Implemented Interfaces:
    junit.framework.Test

      public class ASN1SequenceParserTest
      extends junit.framework.TestCase

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ASN1SequenceParserTest()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static junit.framework.Test` | `suite()`
    `void` | `testBERExplicitTaggedSequenceWriting()`
    `void` | `testBERReading()`
    `void` | `testBERWriting()`
    `void` | `testDERExplicitTaggedSequenceWriting()`
    `void` | `testDERImplicitTaggedSequenceWriting()`
    `void` | `testDERReading()`
    `void` | `testDERWriting()`
    `void` | `testHeavilyBERNestedSequence()`
    `void` | `testHeavilyDLNestedSequence()`
    `void` | `testHeavilyLazyNestedSequence()`
    `void` | `testNestedBERDERReading()`
    `void` | `testNestedBERDERWriting()`
    `void` | `testNestedBERReading()`
    `void` | `testNestedBERWriting()`
    `void` | `testNestedDERReading()`
    `void` | `testNestedDERWriting()`
    `void` | `testNestedExplicitTagDERWriting()`
    `void` | `testNestedImplicitTagDERWriting()`
    `void` | `testSequenceWithDERNullReading()`

    - ### Methods inherited from class junit.framework.TestCase

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, countTestCases, createResult, fail, fail, failNotEquals, failNotSame, failSame, format, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ASN1SequenceParserTest

          public ASN1SequenceParserTest()

  - ### Method Detail

    - #### testDERWriting

          public void testDERWriting()
                              throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testNestedDERWriting

          public void testNestedDERWriting()
                                    throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testDERExplicitTaggedSequenceWriting

          public void testDERExplicitTaggedSequenceWriting()
                                                    throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testDERImplicitTaggedSequenceWriting

          public void testDERImplicitTaggedSequenceWriting()
                                                    throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testNestedExplicitTagDERWriting

          public void testNestedExplicitTagDERWriting()
                                               throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testNestedImplicitTagDERWriting

          public void testNestedImplicitTagDERWriting()
                                               throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testBERWriting

          public void testBERWriting()
                              throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testNestedBERDERWriting

          public void testNestedBERDERWriting()
                                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testNestedBERWriting

          public void testNestedBERWriting()
                                    throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testDERReading

          public void testDERReading()
                              throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testNestedDERReading

          public void testNestedDERReading()
                                    throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testBERReading

          public void testBERReading()
                              throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testNestedBERDERReading

          public void testNestedBERDERReading()
                                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testNestedBERReading

          public void testNestedBERReading()
                                    throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testBERExplicitTaggedSequenceWriting

          public void testBERExplicitTaggedSequenceWriting()
                                                    throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testHeavilyDLNestedSequence

          public void testHeavilyDLNestedSequence()
                                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testHeavilyBERNestedSequence

          public void testHeavilyBERNestedSequence()
                                            throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testHeavilyLazyNestedSequence

          public void testHeavilyLazyNestedSequence()
                                             throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testSequenceWithDERNullReading

          public void testSequenceWithDERNullReading()
                                              throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### suite

          public static junit.framework.Test suite()